Bug 523202 - "use same proxy for all protocols" remembers old separate entries
Summary: "use same proxy for all protocols" remembers old separate entries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:22 UTC by Ilkka Tengvall
Modified: 2010-06-28 14:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:38:56 UTC


Attachments (Terms of Use)

Description Ilkka Tengvall 2009-09-14 13:22:50 UTC
Description of problem:

Applications fail to reach internet due to network proxy configuration in gnome remembering bogus entries for non http protocols. This happens while "use same proxy for all protocols" is checked.

Version-Release number of selected component (if applicable):

control-center-2.26.0-10.fc11.x86_64
fedora-release-11-1.noarch


How reproducible:

everytime, but only clicking "Use the same proxy for all protocols" once. If you toggle it several times it starts working.

Steps to Reproduce:
1. open system -> preferences -> network proxy
2. select manual proxy config
3. fill the entries with hiho.fedora.com:8080
4. click on "Use the same proxy for all protocols"
5. change the only editable field now with your
   real proxy, e.g. proxy.foobar.com:8080
6. Close
  
Actual results:

hiho... entries still show up grayed out. Empathy/Telepathy application uses the old proxy hiho.fedora.com:8080 as the proxy, thus failing to reach e.g. talk.google.com.

Expected results:

Applications would use the right "same proxy" for the proxy.

Additional info:

I came to this conclusion by trying to get gtalk chat working in empathy from behind the proxies in corporate environment. I traced the connections with wireshark and saw it trying to reach some old proxy. Then I noticed the error was caused by the global proxy settings behaving oddly.

Comment 1 Bug Zapper 2010-04-28 10:21:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:38:56 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.